Skip to main content
`Ctrl`+`K`

# PetscLogCpuToGpuScalar

Log a CPU-to-GPU memory transfer of `PetscScalar` data for performance reporting

## Synopsis

    static inline PetscErrorCode PetscLogCpuToGpuScalar(PetscLogDouble size)

Not Collective; No Fortran Support

## Input Parameter

- size - number of bytes of scalar data transferred from CPU to GPU

## Note

Tracks scalar-only transfers separately from generic byte counters tracked by `PetscLogCpuToGpu()`.

## See Also

`PetscLogCpuToGpu()`, `PetscLogGpuToCpuScalar()`

## Level

developer

## Location

include/petsclog.h

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages